Safety
======

* [Home](help)

Each Friendica instance is linked together with a global network of other servers, some running Friendica and some running other software.
These servers support a diverse global community of millions of users.
Inevitably, some of these users are malicious.
Friendica provides several features to keep you safe from abuse and harrassment.

Terms of Service
---

Each instance is entitled to define its own Terms of Service, also often called a Code of Conduct.
These terms include rules for behaviour.
These Terms of Service are visible when creating an account.
By creating an account on a server, you agree to be bound by these Terms of Service.
Users who violate the terms of service of their instance may face sanctions including being suspended or banned from their instance.

Remember that conversations frequently involve participants from different instances with different rules.
Participants are only bound by the rules of the server where they have an account, not by the rules of your server.
Terms of Service may even be completely incompatible.

Reporting
---

Your local administrators are responsible for ensuring a safe online environment for all users on your server.
They rely on reports from users to highlight behaviour that puts other users at risk.
If you see problematic behaviour from a user, whether they are from another server or are local to your server, you can report that behaviour to your administrator.
You can also choose to send that report to their administrator at the same time.
You will be given an opportunity to select the type of problem you are seeing.
Your local administrator then has the option of blocking that user for all users on your local instance.
If a remote server is a constant source of abuse and their administrators are unable or unwilling to control their users behaviour, your administrator can even block the entire remote server.

Ignoring
---

Once you have become friends, if you find the person constantly sends you spam or worthless information, you can "Ignore" them - without breaking off the friendship or even alerting them to the fact that you aren't interested in anything they are saying.
In many ways they are like a "follower" - but they don't know this.
They think they are a friend.
Your own posts will still be delivered to them.
Other people will see their replies to you normally.

Some servers are frequent sources of abusive or other unwanted behaviour.
For this reason you can also choose to ignore entire servers.
Users on that server can still follow you as normal.

Blocking
---

You can also "block" a person.
This completely blocks communications with that person.
Your public comments will no longer be sent to them.  Their own public posts will not be visible in your stream.
If they participate in other conversations you are following, their replies will still be part of the thread.
However, their replies will be collapsed by default, and only visible if you open the reply.
Other people will see their replies normally.

A blocked contact will still believe that they are following you.
If they delete you as a contact and then add you again, they will return to apparently following you but in fact still being blocked.
You will not be notified when this happens.

When you block a person, your server will notify their server that the block has occurred.
This is so that if, for example, Alice and Bob follow you from the same server, and you want to block Alice but not Bob, their server can decide which accounts should see your post.
This does mean that the administrator of their server can see that you have applied the block, and may inform the blocked person.
In some cases this could lead to retaliation.
There are several other ways someone can determine that you have blocked them, and see your public posts despite the block.
For example, they can simply log out and view your posts.

Archiving
---

Archiving is similar to blocking.
However, existing posts this person made before being archived will be visible in your stream.
